Bug 1004836 - Changing the Release Version for system throws error
Changing the Release Version for system throws error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: candlepin-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 10:59 EDT by Kedar Bidarkar
Modified: 2014-04-24 13:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2013-09-05 10:59:02 EDT
Description of problem:

Changing the Release Version for system throws error.

Errors occurred during orchestration #<ActiveModel::Errors:0x00000008c854f8 @base=#<System id: 2, uuid: "3482faeb-0fa8-43d2-b050-3937e8c74f15", name: "dhcp201-189.englab.pnq.redhat.com", description: "Initial Registration Params", location: "None", environment_id: 1, created_at: "2013-09-05 14:03:15", updated_at: "2013-09-05 14:03:15", type: "System", content_view_id: 1>, @messages={}> Queue Failed - [update candlepin consumer: dhcp201-189.englab.pnq.redhat.com 3 failed [#<System id: 2, uuid: "3482faeb-0fa8-43d2-b050-3937e8c74f15", name: "dhcp201-189.englab.pnq.redhat.com", description: "Initial Registration Params", location: "None", environment_id: 1, created_at: "2013-09-05 14:03:15", updated_at: "2013-09-05 14:03:15", type: "System", content_view_id: 1>, :update_candlepin_consumer]] (Errors::OrchestrationException)


Version-Release number of selected component (if applicable):

[root@xx ~]# rpm -qav | grep -ie katello -ie candlepin 
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
katello-certs-tools-1.4.3-1.el6.noarch
candlepin-tomcat6-0.8.25-1.el6.noarch
katello-common-1.4.6-1.git.4.457c852.el6.noarch
pulp-katello-plugins-0.2-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-1.git.27.a001bbe.el6.noarch
candlepin-selinux-0.8.25-1.el6.noarch
katello-configure-1.4.5-1.el6.noarch
katello-glue-candlepin-1.4.6-1.git.4.457c852.el6.noarch
katello-1.4.6-1.git.4.457c852.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-0.8.25-1.el6.noarch
katello-glue-elasticsearch-1.4.6-1.git.4.457c852.el6.noarch
katello-all-1.4.6-1.git.4.457c852.el6.noarch
signo-katello-0.0.13-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.git.27.a001bbe.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-glue-pulp-1.4.6-1.git.4.457c852.el6.noarch



How reproducible:

1) Import manifest
2) Synced RHEL content
3) registered a system to env=Library, Cv=Default org view
4) subscribed rhel content
5) Try changing the Release version and it fails




Steps to Reproduce:
1.
2.
3.

Actual results:
Changing Release  Version fails 

Expected results:

Changing Release version should succeed.

Additional info:
Comment 2 Og Maciel 2013-09-05 11:11:09 EDT
Kedar, I noticed that when you click on the Release version icon, it can take 3-4 seconds until you get a dropdown widget... but changing the version manually worked for me.
Comment 3 Tom McKay 2013-09-05 11:25:43 EDT
I thought these errors were fixed by https://github.com/Katello/katello/pull/2884
Comment 4 Kedar Bidarkar 2013-09-06 10:03:21 EDT
Tested with the latest katello nightly and we are now able to set the Release vesion via the systems UI.
Comment 9 Bryan Kearney 2014-04-24 13:10:49 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 10 Bryan Kearney 2014-04-24 13:11:55 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.